# Method: projects.locations.documents.linkedSources

Return all source document-links from the document.

### HTTP request

`POST https://contentwarehouse.googleapis.com/v1/{parent}/linkedSources`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the document, for which all source links are returned. Format: projects/{projectNumber}/locations/{location}/documents/{source_document_id}. It takes the form `projects/{project}/locations/{location}/documents/{document}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pageSize": integer, "pageToken": string, "requestMetadata": { object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`) } } ``` |

| Fields ||
|---|---|
| `pageSize` | `integer` The maximum number of document-links to return. The service may return fewer than this value. If unspecified, at most 50 document-links will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `documents.linkedSources` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `documents.linkedSources` must match the call that provided the page token. |
| `requestMetadata` | ``object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`)`` The meta information collected about the document creator, used to enforce access control for the service. |

### Response body

Response message for DocumentLinkService.ListLinkedSources.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "documentLinks": [ { object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/DocumentLink`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `documentLinks[]` | ``object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/DocumentLink`)`` source document-links. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `contentwarehouse.documents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).